package com.example.saravanapandianmuru.myapplication;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;

import com.syncfusion.charts.CategoryAxis;
import com.syncfusion.charts.ChartDataPoint;
import com.syncfusion.charts.LineSeries;
import com.syncfusion.charts.NumericalAxis;
import com.syncfusion.charts.ObservableArrayList;
import com.syncfusion.charts.SfChart;

public class MainActivity extends AppCompatActivity {

    public ObservableArrayList<ChartDataPoint> dataPoints;

    SfChart sfChart;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        sfChart = new SfChart(this);
        sfChart.getTitle().setText("Sales Comparison");

        dataPoints = new ObservableArrayList<ChartDataPoint>();
        dataPoints.add(new ChartDataPoint("Product A", 10));
        dataPoints.add(new ChartDataPoint("Product B", 30));
        dataPoints.add(new ChartDataPoint("Product C", 15));
        dataPoints.add(new ChartDataPoint("Product D", 65));
        dataPoints.add(new ChartDataPoint("Product E", 90));
        dataPoints.add(new ChartDataPoint("Product F", 85));

        CategoryAxis categoryAxis = new CategoryAxis();
        categoryAxis.getTitle().setText("Sales Across Products");
        sfChart.setPrimaryAxis(categoryAxis);

        NumericalAxis numericalAxis = new NumericalAxis();
        numericalAxis.setMinimum(0);
        numericalAxis.setInterval(10);
        numericalAxis.setMaximum(100);
        numericalAxis.getTitle().setText("Sales Amount in millions (USD)");
        numericalAxis.getLabelStyle().setLabelFormat("$##.##");
        sfChart.setSecondaryAxis(numericalAxis);

        LineSeries lineSeries = new LineSeries();
        lineSeries.setDataSource(dataPoints);
        sfChart.getSeries().add(lineSeries);

        setContentView(sfChart);
    }
}




